## gtk-meshtastic-client 1.4

=== requirements.txt ===
alabaster==0.7.16
appdirs==1.4.4
apt-listchanges==4.7
attrs==23.2.0
autocommand==2.2.2
Babel==2.14.0
bcrypt==4.2.0
beautifulsoup4==4.12.3
bleak==0.22.2
bmaptool==3.7.0
Brlapi==0.8.5
Brotli==1.1.0
certifi==2024.8.30
chardet==5.2.0
charset-normalizer==3.3.2
colorlog==6.8.2
contourpy==1.3.0
crit==3.17.1
cryptography==43.0.0
cssselect==1.2.0
cupshelpers==1.0
cycler==0.12.1
dbus-fast==2.24.2
dbus-python==1.3.2
debmake==4.4.0
decorator==5.1.1
defusedxml==0.7.1
devscripts==2.24.1
distro==1.9.0
docutils==0.21.2
dotmap==1.3.30
feedparser==6.0.11
fonttools==4.46.0
fs==2.4.16
furo==0.0.0
gbp==0.9.35
gcovr==7.2
gpg==1.18.0
html5lib-modern==1.2
httplib2==0.22.0
idna==3.8
imagesize==1.4.1
importlib_metadata==8.5.0
inflect==7.3.1
jaraco.classes==3.4.0
jaraco.context==6.0.0
jaraco.functools==4.1.0
jeepney==0.8.0
Jinja2==3.1.3
keyring==25.4.1
kiwisolver==1.4.5
libvirt-python==10.7.0
louis==3.31.0
lxml==5.3.0
lz4==4.0.2+dfsg
Mako==1.3.5.dev0
Markdown==3.7
MarkupSafe==2.1.5
matplotlib==3.8.3
meshtastic==2.5.0
meson==1.5.2
more-itertools==10.5.0
mpmath==1.3.0
musicbrainzngs==0.7.1
mutagen==1.46.0
numpy==1.26.4
olefile==0.46
packaging==24.1
pexpect==4.9.0
pillow==10.4.0
protobuf==4.21.12
ptyprocess==0.7.0
pyasyncore==1.0.2
pycairo==1.26.1
pycups==2.0.4
pycurl==7.45.3
Pygments==2.18.0
PyGObject==3.48.2
pyinotify==0.9.6
pyotp==2.9.0
pyparsing==3.1.2
pypng==0.20231004.0
Pypubsub==4.0.3
PyQRCode==1.2.1
pyserial==3.5
pysmbc==1.0.25.1
python-apt==2.9.0+b1
python-dateutil==2.9.0
python-debian==0.1.49
python-debianbts==4.1.1
python-magic==0.4.27
pytz==2024.1
pyxdg==0.28
PyYAML==6.0.2
quodlibet==4.6.0
reportbug==13.0.1
requests==2.32.3
roman==4.2
scipy==1.13.1
SecretStorage==3.3.3
setuptools==74.1.2
sgmllib3k==1.0.0
shtab==1.7.1
six==1.16.0
snowballstemmer==2.2.0
soundconverter==4.0.5
soupsieve==2.6
Sphinx==7.4.7
sphinx-basic-ng==1.0.0b2
sphinx_inline_tabs==2023.4.21
sympy==1.13.2
tabulate==0.9.0
typeguard==4.3.0
typing_extensions==4.12.2
ufoLib2==0.16.0
unidiff==0.7.5
urllib3==2.0.7
webencodings==0.5.1
wheel==0.44.0
xdg==5
zipp==3.20.2

## gtk-meshtastic-client 0.2.0

=== debian/changelog ===
gtk-meshtastic-client (0.2.0-1) unstable; urgency=medium

  [ Christopher Talbot ]
  * New upstream Version
  * d/control: Update policy to 4.7.0
  * d/lintain: Update override
  * d/control: fix lintian error
  * d/copyright: Update for new sources
  * d/mangpage: Update for new options

 -- Christopher Talbot <chris@talbothome.com>  Mon, 18 Nov 2024 18:59:53 -0700

gtk-meshtastic-client (0.1.0-1) UNRELEASED; urgency=medium

  * Initial Release (Closes: #1086882)

 -- Christopher Talbot <chris@talbothome.com>  Mon, 11 Nov 2024 20:35:54 -0700

=== debian/control ===
Source: gtk-meshtastic-client
Section: comm
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>,
Uploaders: Christopher Talbot <chris@talbothome.com>,
Build-Depends:
  debhelper-compat (= 13),
  desktop-file-utils,
  gobject-introspection,
  libadwaita-1-dev (>=1.6),
  libgtk-4-dev (>= 4.10),
  libpango1.0-dev,
  libshumate-dev,
  python3-mesonpy,
  python3-meshtastic,
  python3-dotmap,
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/gtk-meshtastic-client
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/gtk-meshtastic-client.git
Homepage: https://gitlab.com/kop316/gtk-meshtastic-client
Rules-Requires-Root: no

Package: gtk-meshtastic-client
Architecture: all
Depends:
  gir1.2-adw-1 (>= 1.6),
  gir1.2-gdkpixbuf-2.0,
  gir1.2-gio-2.0,
  gir1.2-girepository-2.0,
  gir1.2-glib-2.0,
  gir1.2-gobject-2.0,
  gir1.2-gtk-4.0 (>= 4.10.0),
  gir1.2-pango-1.0 (>= 1.44.0),
  gir1.2-shumate-1.0,
  python3,
  python3-gi,
  python3-gi-cairo,
  python3-meshtastic,
  python3-dotmap,
  ${misc:Depends},
Description: Unofficial Meshtastic Client in GTK4/Libadwaita
 This is a GUI client to control a meshtastic device over Serial, Bluetooth,
 or TCP/IP. It runs on top of the meshtastic Python API

## gtk-meshtastic-client 1.0

=== debian/changelog ===
gtk-meshtastic-client (1.0-2) unstable; urgency=medium

  [ Chris Talbot ]
  * d/control: add python3-pyqrcode as a dependency

 -- Christopher Talbot <chris@talbothome.com>  Wed, 26 Feb 2025 13:19:11 -0700

gtk-meshtastic-client (1.0-1) unstable; urgency=medium

  [ Christopher Talbot ]
  * New upstream Version
  * d/control: add python-gi-dev
  * d/copyright: correct location of a file
  * d/patches: Add patch for test

 -- Christopher Talbot <chris@talbothome.com>  Tue, 24 Dec 2024 09:16:57 -0700

## gtk-meshtastic-client 1.1

=== debian/changelog ===
gtk-meshtastic-client (1.1-1) unstable; urgency=medium

  [ Christopher Talbot ]
  * New upstream Version
  * d/control: add python3-pyqrcode to runtime dependency

 -- Christopher Talbot <chris@talbothome.com>  Sun, 09 Mar 2025 19:59:01 -0600

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,11 @@
   libgtk-4-dev (>= 4.10),
   libpango1.0-dev,
   libshumate-dev,
+  python-gi-dev,
   python3-mesonpy,
   python3-meshtastic,
   python3-dotmap,
+  python3-pyqrcode,
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/gtk-meshtastic-client
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/gtk-meshtastic-client.git
@@ -37,6 +39,7 @@
   python3-gi-cairo,
   python3-meshtastic,
   python3-dotmap,
+  python3-pyqrcode,
   ${misc:Depends},
 Description: Unofficial Meshtastic Client in GTK4/Libadwaita
  This is a GUI client to control a meshtastic device over Serial, Bluetooth,

## gtk-meshtastic-client 1.2

=== debian/changelog ===
gtk-meshtastic-client (1.2-1) unstable; urgency=medium

  [ Dave Hibberd ]
  * Team Upload
  * Bump standards version

  [ Chris Talbot ]
  * New upstream Version
  * d/control: depend on adwaita-icon-theme (Closes: #1103887)
  * debian/*: Make lintian happy

 -- Dave Hibberd <hibby@debian.org>  Sun, 04 May 2025 23:37:07 +0100

## gtk-meshtastic-client 1.4

=== debian/changelog ===
gtk-meshtastic-client (1.4-1) unstable; urgency=medium

  [ Chris Talbot ]
  * New upstream Version

 -- Christopher Talbot <chris@talbothome.com>  Sun, 05 Oct 2025 20:26:00 -0600

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: gtk-meshtastic-client
 Section: comm
 Priority: optional
-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>,
+Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: Christopher Talbot <chris@talbothome.com>,
 Build-Depends:
   debhelper-compat (= 13),
@@ -16,7 +16,7 @@
   python3-meshtastic,
   python3-dotmap,
   python3-pyqrcode,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/gtk-meshtastic-client
 Vcs-Git: https://salsa.debian.org/debian-hamradio-team/gtk-meshtastic-client.git
 Homepage: https://gitlab.com/kop316/gtk-meshtastic-client
@@ -25,6 +25,7 @@
 Package: gtk-meshtastic-client
 Architecture: all
 Depends:
+  adwaita-icon-theme,
   gir1.2-adw-1 (>= 1.6),
   gir1.2-gdkpixbuf-2.0,
   gir1.2-gio-2.0,

## gtk-meshtastic-client 1.5

=== debian/changelog ===
gtk-meshtastic-client (1.5-1) unstable; urgency=medium

  [ Chris Talbot ]
  * d/patches: remove unneeded patch
  * Bump version to 1.5

 -- Christopher Talbot <chris@talbothome.com>  Sat, 10 Jan 2026 20:28:05 -0700

=== debian/control ===
--- 
+++ 
@@ -29,7 +29,6 @@
   gir1.2-adw-1 (>= 1.6),
   gir1.2-gdkpixbuf-2.0,
   gir1.2-gio-2.0,
-  gir1.2-girepository-2.0,
   gir1.2-glib-2.0,
   gir1.2-gobject-2.0,
   gir1.2-gtk-4.0 (>= 4.10.0),
@@ -45,3 +44,4 @@
 Description: Unofficial Meshtastic Client in GTK4/Libadwaita
  This is a GUI client to control a meshtastic device over Serial, Bluetooth,
  or TCP/IP. It runs on top of the meshtastic Python API
+
